/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workhandbill.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.User;

import java.util.Date;
import java.util.List;

/**
 * 交接单Entity
 * @author 马鹏波
 * @version 2018-06-05
 */
public class WorkHandBill extends DataEntity<WorkHandBill> {
	
	private static final long serialVersionUID = 1L;
	private User billRecUser;		// 接收人
	private User billSendUser;		// 送达人
	private Date billHandTime;		// 交接时间
	private String projectId; 		//项目编号
	private List<WorkHandBillDetail> workHandBillDetailList = Lists.newArrayList();
	
	public WorkHandBill() {
		super();
	}

	public WorkHandBill(String id){
		super(id);
	}

	@ExcelField(title="接收人", fieldType=User.class, value="", align=2, sort=7)
	public User getBillRecUser() {
		return billRecUser;
	}

	public void setBillRecUser(User billRecUser) {
		this.billRecUser = billRecUser;
	}
	
	@ExcelField(title="送达人", fieldType=User.class, value="", align=2, sort=8)
	public User getBillSendUser() {
		return billSendUser;
	}

	public void setBillSendUser(User billSendUser) {
		this.billSendUser = billSendUser;
	}
	
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@ExcelField(title="交接时间", align=2, sort=9)
	public Date getBillHandTime() {
		return billHandTime;
	}

	public void setBillHandTime(Date billHandTime) {
		this.billHandTime = billHandTime;
	}

	public List<WorkHandBillDetail> getWorkHandBillDetailList() {
		return workHandBillDetailList;
	}

	public void setWorkHandBillDetailList(List<WorkHandBillDetail> workHandBillDetailList) {
		this.workHandBillDetailList = workHandBillDetailList;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
}